import { BaseEntity } from "./base";
import { UserDto, UserCreateDto, UserUpdateDto } from "./dto";

export type User = Omit<UserDto & BaseEntity, never>;

export const mapUserDtoToUser = (dto: UserDto): User => ({
    ...dto,
});

export type UserCreate = Omit<UserCreateDto, never>;

export const mapUserCreateDtoToUserCreate = (dto: UserCreateDto): UserCreate => ({
    ...dto,
});

export type UserUpdate = Omit<UserUpdateDto, never>;

export const mapUserUpdateDtoToUserUpdate = (dto: UserUpdateDto): UserUpdate => ({
    ...dto,
});
